org.apache.cassandra.cql3

## Class CQL3Type.Custom

- java.lang.Object
- - org.apache.cassandra.cql3.CQL3Type.Custom

All Implemented Interfaces:
  CQL3Type

Enclosing interface:
  CQL3Type

    public static class CQL3Type.Custom
    extends java.lang.Object
    implements CQL3Type

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.CQL3Type

`CQL3Type.Collection, CQL3Type.Custom, CQL3Type.Native, CQL3Type.Raw, CQL3Type.Tuple, CQL3Type.UserDefined`

### Field Summary

### Fields inherited from interface org.apache.cassandra.cql3.CQL3Type

`logger`

### Constructor Summary

Constructors
Constructor and Description
`Custom(AbstractType<?> type)`
`Custom(java.lang.String className)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`AbstractType<?>` `getType()`
`int` `hashCode()`
`boolean` `isCollection()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Custom

    public Custom(AbstractType<?> type)

#### Custom

    public Custom(java.lang.String className)
           throws SyntaxException,
                  ConfigurationException

Throws:
  `SyntaxException`
  `ConfigurationException`

### Method Detail

#### isCollection

    public boolean isCollection()

Specified by:
  `isCollection` in interface `CQL3Type`

#### getType

    public AbstractType<?> getType()

Specified by:
  `getType` in interface `CQL3Type`

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`